%define upstream_name    X11-Protocol
%define upstream_version 0.56

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 8

Summary:        Perl module for the X Window System Protocol
License:        Artistic
Group:          Development/Perl
Url:            http://search.cpan.org/dist/%{upstream_name}
Source0:        http://www.cpan.org/modules/by-module/X11/%{upstream_name}-%{upstream_version}.tar.bz2


BuildArch: noarch


%description
This is a module for the X Window System Protocol.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" 
%make

# test needs a running X server

%install
%makeinstall_std

%files
%doc Changes README
%{_mandir}/man3/*
%{perl_vendorlib}/X11

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.560.0-8pclos2017
- rebuild against updates

